Show / Hide Table of Contents

# Class OpenIddictExceptions.GenericException

Represents a generic OpenIddict exception.

##### Inheritance

System.Object
System.Exception
OpenIddictExceptions.GenericException

##### Implements

System.Runtime.Serialization.ISerializable
System.Runtime.InteropServices._Exception

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.ToString()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.Message
System.Exception.Data
System.Exception.InnerException
System.Exception.TargetSite
System.Exception.StackTrace
System.Exception.HelpLink
System.Exception.Source
System.Exception.HResult
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class GenericException : Exception, ISerializable, _Exception

### Constructors

#### GenericException(String)

Creates a new OpenIddictExceptions.GenericException.

##### Declaration

    public GenericException(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The exception message.

#### GenericException(String, String)

Creates a new OpenIddictExceptions.GenericException.

##### Declaration

    public GenericException(string message, string error)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The exception message.
System.String | error | The error type.

#### GenericException(String, String, String)

Creates a new OpenIddictExceptions.GenericException.

##### Declaration

    public GenericException(string message, string error, string description)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The exception message.
System.String | error | The error type.
System.String | description | The error description.

#### GenericException(String, String, String, String)

Creates a new OpenIddictExceptions.GenericException.

##### Declaration

    public GenericException(string message, string error, string description, string uri)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The exception message.
System.String | error | The error type.
System.String | description | The error description.
System.String | uri | The error URI.

### Properties

#### Error

Gets the error type.

##### Declaration

    public string Error { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ErrorDescription

Gets the error description.

##### Declaration

    public string ErrorDescription { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ErrorUri

Gets the error URI.

##### Declaration

    public string ErrorUri { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Implements

System.Runtime.Serialization.ISerializable
System.Runtime.InteropServices._Exception